Laravel по-русски

Русское сообщество разработки на PHP-фреймворке Laravel.

Ты не вошёл. Вход тут.

#1 25.06.2020 20:09:24

dimalebid
Откуда: Украина
Сообщений: 10
Сайт

Какая стабильная версия Laravel

Здравствуйте, подскажите пожайлусто какая стабльная версия Laravel на данный момент?

Не в сети

#2 26.06.2020 09:02:07

Re: Какая стабильная версия Laravel

Не в сети

#3 27.06.2020 07:21:40

Re: Какая стабильная версия Laravel

Если интересует стабильный как "будет долго поддерживаться" (LTS) то 6.x (без указания минорной версии)

Создать новый проект в 6.x можно так: laravel/laravel:^6
Можно также явно указать что интересуют стабильные версии пакетов --stability="stable"
, тогда в composer.json попадут такие строки:

    "minimum-stability": "dev",
    "prefer-stable": true,

итого:

composer create-project --stability="stable" laravel/laravel:^6 myproj

на сегодня эта команда создаёт проект в v6.18.8
а если убрать явную привязку к шестой версии, то создастся v7.12.0

https://igor.io/2013/02/07/composer-sta … flags.html

Изменено artoodetoo (27.06.2020 07:39:00)


There are two hard things in computer science: cache invalidation, naming things, and off-by-one errors.

Не в сети

#4 03.10.2021 13:49:49

Re: Какая стабильная версия Laravel

Ещё немного о LTS: заявленные сроки поддержки и требуемые версии PHP. Это может быть важно для планирования апгрейда.

ElHlhpr.png
B2tAW6w.png
и поддержка версий PHP
vyJSc1x.png

в composer.json мы видим какую версию PHP поддерживает данная версия Laravel
ветка 5.5 "php": ">=7.0.0" (т.е. с 8й уже не работает!)
ветка 6.0 "php": "^7.2"
тег 6.19 "php": "^7.2.5|^8.0" (это по прежнему LTS и с этой минорной версии можно ставить на PHP8)
ветка 8.x "php": "^7.3|^8.0"

Если в октябре 2021г думаю о стабильности на ближайшие несколько месяцев, я закладываю работу с PHP8, а значит проект должен заявлять зависимость не ниже Laravel ^6.19.

composer create-project laravel/laravel:^6.19 .

На сегодня такая команда создаст проект с ядром Laravel 6.20.34

PHP подойдёт версии 7.4. Но лучше отловить проблемы совместимости с новым PHP уже сегодня, чем в новом году аврально менять и пыху и фреймворк. Поэтому я бы уже сегодня использовал PHP8. Восьмёрка уже стабильна, а седьмая версия доживает свой век.

В новом 2022г можно будет переходить на Laravel 9 оставаясь на PHP8.

Изменено artoodetoo (03.10.2021 14:07:45)


There are two hard things in computer science: cache invalidation, naming things, and off-by-one errors.

Не в сети

Подвал раздела